Bug 1196182 (CVE-2022-23633)

Summary: VUL-0: CVE-2022-23633: rubygem-actionpack-5_1,rubygem-actionpack-4_2,rubygem-rails-4_2,rubygem-rails-5_1: Possible exposure of information vulnerability in Action Pack
Product: [Novell Products] SUSE Security Incidents Reporter: Carlos López <carlos.lopez>
Component: IncidentsAssignee: Manuel Schnitzer <mschnitzer>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: darcy.partridge, mschnitzer, sbahling, smash_bz, steve.charteris, thomas.leroy
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/323538/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-23633:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Carlos López 2022-02-18 16:14:37 UTC
CVE-2022-23633

Action Pack is a framework for handling and responding to web requests. Under
certain circumstances response bodies will not be closed. In the event a
response is *not* notified of a `close`, `ActionDispatch::Executor` will not
know to reset thread local state for the next request. This can lead to data
being leaked to subsequent requests.This has been fixed in Rails 7.0.2.1,
6.1.4.5, 6.0.4.5, and 5.2.6.1. Upgrading is highly recommended, but to work
around this problem a middleware described in GHSA-wh98-p28r-vrc9 can be used.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-23633
http://seclists.org/oss-sec/2022/q1/135
http://www.openwall.com/lists/oss-security/2022/02/11/5
https://github.com/rails/rails/commit/f9a2ad03943d5c2ba54e1d45f155442b519c75da
https://github.com/rails/rails/security/advisories/GHSA-wh98-p28r-vrc9
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-23633
Comment 1 Carlos López 2022-02-18 16:15:48 UTC
Affected:
 - SUSE:SLE-15:Update/rubygem-rails-5_1
 - SUSE:SLE-15:Update/rubygem-actionpack-5_1
 - openSUSE:Backports:SLE-15-SP3/rubygem-rails-5.2
 - openSUSE:Backports:SLE-15-SP4/rubygem-rails-5.2
 - openSUSE:Backports:SLE-15-SP3/rubygem-actionpack-5.2
 - openSUSE:Backports:SLE-15-SP4/rubygem-actionpack-5.2
 - openSUSE:Factory/rubygem-rails-6.0
 - openSUSE:Factory/rubygem-actionpack-6.0
Comment 15 Swamp Workflow Management 2022-06-16 19:20:30 UTC
SUSE-SU-2022:2108-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1185780,1196182
CVE References: CVE-2021-22904,CVE-2022-23633
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
openSUSE Leap 15.3 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
SUSE Linux Enterprise High Availability 15-SP4 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
SUSE Linux Enterprise High Availability 15-SP3 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1
SUSE Linux Enterprise High Availability 15 (src):    rubygem-actionpack-5_1-5.1.4-150000.3.12.1, rubygem-activesupport-5_1-5.1.4-150000.3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.